Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZSlideshow Class Reference

## Public Member Functions
| __construct ( $category, $user, $pos=0)
| get ( $user, $category)
| image ( $pos=false)
| size ()
| currentPosition ()

## Public Attributes
| $CategoryID
| $Position
| $ImageArray
| $User

## Detailed Description

! eZImageCatalogue eZSlideshow documentation.

Example code:

Definition at line 42 of file ezslideshow.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSlideshow::__construct | ( |  | $category,
|  |  | $user,
|  |  | $pos = `0`
| ) |  |

Constructs a new eZSlideshow object

Definition at line 48 of file ezslideshow.php.

References $category, $CategoryID, $user, and $User.

## Member Function Documentation

## ◆ currentPosition()

eZSlideshow::currentPosition | ( |  | ) |

Returns the current position in the slideshow

Definition at line 91 of file ezslideshow.php.

References $Position.

## ◆ get()

eZSlideshow::get | ( |  | $user,
|  |  | $category
| ) |  |

Fetches the object information from the database.

Definition at line 60 of file ezslideshow.php.

References $category, $user, and eZImageCategory\getImages().

## ◆ image()

eZSlideshow::image | ( |  | $pos = `false` | ) |

Returns the image at position pos If pos is omitted, the objects position will be used

Definition at line 69 of file ezslideshow.php.

References $Position.

## ◆ size()

eZSlideshow::size | ( |  | ) |

Returns the number of images in the slideshow

Definition at line 83 of file ezslideshow.php.

## Member Data Documentation

## ◆ $CategoryID

eZSlideshow::$CategoryID

Definition at line 96 of file ezslideshow.php.

Referenced by __construct().

## ◆ $ImageArray

eZSlideshow::$ImageArray

Definition at line 98 of file ezslideshow.php.

## ◆ $Position

eZSlideshow::$Position

Definition at line 97 of file ezslideshow.php.

Referenced by currentPosition(), and image().

## ◆ $User

eZSlideshow::$User

Definition at line 99 of file ezslideshow.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- ezslideshow.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.